fstrace_lslog(8)

NAME
fstrace_lslog - Displays information about a log

SYNOPSIS
fstrace lslog << [-set <set name+] >>> << [-log <log name] >>>
    [-long] [-help]

fstrace lsl << [-s <set name+] >>> << [-log <log name] >>> [-lon]
    [-h]

DESCRIPTION
The fstrace lslog command reports whether the cmfx log is available for use. If the -long argument is included, the output reports the log's defined size, and whether that amount of space is currently allocated in kernel memory or not.

To change the cmfx trace log's size, use the fstrace setlog command. To display or set whether space is allocated for it in kernel memory, use the fstrace lsset or fstrace setset command to display or set the state of the corresponding cm event set, respectively.

OPTIONS

-set <set name>+
    Names the event set for which to display information about the corresponding trace log. The only acceptable value is cm (for which the associated trace log is cmfx). Provide either this argument or the -log argument, or omit both to display information about the cmfx log by default.

-log <log name>
    Names the trace log about which to report. The only acceptable value is cmfx. Provide either this argument or the -set argument, or omit both to report on the cmfx log by default.

-long
    Reports the defined size of the log in kilobyte units and whether that amount of space is currently allocated in kernel memory.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
By default, the fstrace lslog command displays only the name of the available log, cmfx, in the following format:

   Available logs:
   cmfx
When the -long flag is included, the output also reports the defined size of the log in kilobytes, and whether or not that amount of space is currently allocated in kernel memory, in the following format:

   Available logs:
   cmfx : <log_size> kbytes (allocated | unallocated)
The allocated state indicates that the indicated number of kilobytes is reserved for the cmfx trace log in kernel memory. The cm event set's state is either active or inactive, as reported by the fstrace lsset command, and set by the fstrace setset command's -active or -inactive flags respectively.

The unallocated state indicates that no kernel memory is currently reserved for the cmfx trace log. The cm event set's state is dormant, as reported by the fstrace lsset command and set by the fstrace setset command's -dormant flag. If the event set's state is later changed to active or inactive, the number of kilobytes indicated as <log_size> are again allocated in kernel memory.

EXAMPLES
The following example uses the -long flag to display information about the cmfx log:

   # fstrace lslog -log cmfx -long
   Available logs:
   cmfx : 60 kbytes (allocated)

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
the fstrace(8) manpage, the fstrace_lsset(8) manpage, the fstrace_setlog(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.